package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions.ConceptInUseException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Vector;

public class ConceptListAdapter extends ListAdapter {

	public SaveAdapter getCreator() {
		return new ConceptCreator();
	}

	public SaveAdapter getUpdater() {
		return new ConceptUpdater();
	}

	public Vector load() {

		Vector list = new Vector();

		list = ConceptController.conceptList();

		return list;
	}

	public void delete(Serializable id) {

		try {
			ConceptController.deleteConcept((String) id);
		} catch (ConceptInUseException e) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("delete"));
		} catch (InstanceNotFoundException e) {
		} catch (InternalErrorException e) {
		}

	}

	public HashMap find(Serializable id) {
		HashMap map = new HashMap();
		try {
			map = ConceptController.findConcept((String) id);
		} catch (InstanceNotFoundException e) {
		} catch (InternalErrorException e) {}
		return map;
	}

}
