package gz.cyberbrain.cyberhotel.model.client.to;

public class CompanyTo extends ClientTo {
	
	private static final long serialVersionUID = -4975470476934015747L;
	private String cif;
	private String name;
	private String representative;
	private String accountNumber;
	
	public CompanyTo(){}
	
	public CompanyTo(Long clientId, Long address, String street, String dwellingPlace, String phone1, String phone2, String fax, String email, String web, Long bank, Long card, String notes, String cif, String name, String representative, String accountNumber) {
		super(clientId, address, street, dwellingPlace, phone1, phone2, fax, email,
				web, bank, card, notes);	
		this.cif = cif;
		this.name = name;
		this.representative = representative;
		this.accountNumber = accountNumber;
	}

	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRepresentative() {
		return representative;
	}

	public void setRepresentative(String representative) {
		this.representative = representative;
	}
	
	public String getReferenceName() {
		return name;
	}
					
}
