package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.board.to.BoardTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class BoardTariffiedException extends ModelException {
	
	private static final long serialVersionUID = 1980463236549592453L;
	private BoardTo board;
	
	public BoardTariffiedException (BoardTo board){
		
		super("Board " + board.getBoardCode() + " has got associated prices.");
		
		this.board = board;
		
	}
	
	public BoardTo getBoard() {
		return board;
	}
	
}
