package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.card.to.CardTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class CardWithClientsException extends ModelException {

	private static final long serialVersionUID = 6497240404840740686L;
	private CardTo card;
	
	public CardWithClientsException (CardTo card){
		
		super("Card " + card.getType() + " has got associated clients.");
		
		this.card = card;
		
	}
	
	public CardTo getCard() {
		return card;
	}
	
}
