package gz.cyberbrain.cyberhotel.model.board.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;

import java.io.Serializable;

public class BoardTo implements Identifiable {
		
	private static final long serialVersionUID = 546528311717823044L;
	private String boardCode;
	private String description;
	
	public BoardTo(){}
	
	public BoardTo(String boardCode, String description) {		
		this.boardCode = boardCode;
		this.description = description;
	}

	public Serializable getId(){
		return boardCode;
	}
	
	public String getBoardCode() {
		return boardCode;
	}

	public void setBoardCode(String boardCode) {
		this.boardCode = boardCode;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}	

}
