package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.concept.to.ConceptTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class ConceptInUseException extends ModelException {

	private static final long serialVersionUID = 6797065598895751486L;
	private ConceptTo concept;
	
	public ConceptInUseException (ConceptTo concept){
		
		super("Concept " + concept.getConceptCode() + " has got associated rooms.");
		
		this.concept = concept;
		
	}
	
	public ConceptTo getConcept() {
		return concept;
	}
	
}
