package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableRoomTypeException extends ModelException {

	private static final long serialVersionUID = 2513929793744764537L;
	private String roomTypeCode;

	public UnaceptableRoomTypeException (String roomTypeCode){

		super("RoomType " + roomTypeCode + " is not in database.");

		this.roomTypeCode = roomTypeCode;

	}

	public String RoomTypeCode() {
		return roomTypeCode;
	}

}
