package gz.cyberbrain.cyberhotel.model.roomtype.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;

import java.io.Serializable;

public class RoomTypeTo implements Identifiable {
		
	private static final long serialVersionUID = 3188997466432845170L;
	private String roomTypeCode;
	private String description;
	
	public RoomTypeTo(){}
	
	public RoomTypeTo(String roomTypeCode, String description) {		
		this.roomTypeCode = roomTypeCode;
		this.description = description;
	}
	
	public Serializable getId(){
		return roomTypeCode;
	}
	
	public String getDescription() {
		return description;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
	
	public String getRoomTypeCode() {
		return roomTypeCode;
	}
	
	public void setRoomTypeCode(String roomTypeCode) {
		this.roomTypeCode = roomTypeCode;
	}
		
}
